<?
/*
Plugin Name: Admin Bar Page Stats
Description: Memory, Query and Render time statistics for admin bar.
Author: Vernon Franke
Version: 1.0
Author URI: http://www.cult-of-tech.net/
Plugin URI: http://www.cult-of-tech.net/2011/05/wordpess-admin-bar-page-stats/
*/ 


function cot_custom_admin_bar_links( ) {
	global $wp_admin_bar;

	$wp_admin_bar->add_menu( array( 
		'id' => 'dev-stats',
		'title' => 'Page Perf Stats',
		'href' => false ));
	
	$wp_admin_bar->add_menu( array(
		'parent' => 'dev-stats', 
		'id' => 'num-queries', 
		'title' => 'Queries:'.get_num_queries(),
		'href' => false
	));

	$wp_admin_bar->add_menu( array(
		'parent' => 'dev-stats', 
		'id' => 'memory-used', 
		'title' => 'Max Memory:'.round((memory_get_peak_usage( true ) / pow(2, 20)), 2).'MB',
		'href' => false
	));
		
	$wp_admin_bar->add_menu( array(
		'parent' => 'dev-stats', 
		'id' => 'render-time', 
		'title' => 'Rendered in:'.timer_stop(0, 3).'s',
		'href' => false
	));
}

add_action( 'wp_before_admin_bar_render', 'cot_custom_admin_bar_links' );
?>